Convert History
curl --request POST \
--url https://whitebit.com/api/v4/convert/history \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"fromTicker": "BTC"
}
'import requests
url = "https://whitebit.com/api/v4/convert/history"
payload = { "fromTicker": "BTC" }
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({fromTicker: 'BTC'})
};
fetch('https://whitebit.com/api/v4/convert/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"id": "4030",
"date": 1699020642,
"give": "0.00002901",
"receive": "1",
"rate": "34470.87211306",
"path": [
{
"from": "BTC",
"to": "USDT",
"rate": "34470.87211306"
}
]
}
],
"total": 4,
"limit": 1,
"offset": 0
}
Convert History
Retrieve the history of currency conversion operations on WhiteBIT via the V4 API.
POST
/
api
/
v4
/
convert
/
history
Convert History
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
From currency. Example: BTC
Example:
"BTC"
To currency. Example: USDT
Example:
"USDT"
From time filter. Example: 1699260637. Default: now()
Example:
"1699260637"
To time filter. Example: 1699260637. Default: now() +
Example:
"1699260637"
Quote Id. Example: 4050
Example:
"4050"
How many records to receive. Default: 100
Example:
"100"
Amount to convert or receive. Default 0
Example:
"0"
Nonce for request
Example:
1699260637
Request path
Example:
"{{request}}"
Was this page helpful?